/********************************************************************************
 * Copyright (c) 2023 CEA-List
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************/

#ifndef __AIDGE_CPU_IMPORTS_H__
#define __AIDGE_CPU_IMPORTS_H__

#include "aidge/data/TensorImpl.hpp"
#include "aidge/operator/AddImpl.hpp"
#include "aidge/operator/AvgPoolingImpl.hpp"
#include "aidge/operator/BatchNormImpl.hpp"
#include "aidge/operator/ConvDepthWiseImpl.hpp"
#include "aidge/operator/ConvImpl.hpp"
#include "aidge/operator/FCImpl.hpp"
#include "aidge/operator/LeakyReLUImpl.hpp"
#include "aidge/operator/ProducerImpl.hpp"
#include "aidge/operator/ReLUImpl.hpp"
#include "aidge/operator/SoftmaxImpl.hpp"

#endif /* __AIDGE_CPU_IMPORTS_H__ */